netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
sparql_map.h File Reference

Go to the source code of this file.

## Data Structures
struct | spotlight_sparql_map
struct | MDTypeMap

## Macros
#define | SPOTLIGHT_SPARQL_MAP_H

## Enumerations
enum | ssm_type { ssmt_bool , ssmt_num , ssmt_str , ssmt_fname , ssmt_fts , ssmt_date , ssmt_type }
enum | kMDTypeMap { kMDTypeMapNotSup , kMDTypeMapRDF , kMDTypeMapMime }

## Variables
struct spotlight_sparql_map | spotlight_sparql_map []
struct spotlight_sparql_map | spotlight_sparql_date_map []
struct MDTypeMap | MDTypeMap []

## Macro Definition Documentation

## ◆ SPOTLIGHT_SPARQL_MAP_H

#define SPOTLIGHT_SPARQL_MAP_H

## Enumeration Type Documentation

## ◆ kMDTypeMap

enum kMDTypeMap

Enumerator
kMDTypeMapNotSup | not supported
kMDTypeMapRDF | query with rdf:type
kMDTypeMapMime | query with nie:mimeType

## ◆ ssm_type

enum ssm_type

Enumerator
ssmt_bool | a boolean value that doesn't requires a SPARQL FILTER
ssmt_num | a numeric value that requires a SPARQL FILTER
ssmt_str | a string value that requieres a SPARQL FILTER
ssmt_fname | a filename string; matched on ?file (FileDataObject)
ssmt_fts | a string value that will be queried with SPARQL 'fts:match'
ssmt_date | date values are handled in a special map function map_daterange()
ssmt_type | kMDItemContentType, requires special mapping

## Variable Documentation

## ◆ MDTypeMap

struct MDTypeMap MDTypeMap[]
| extern

## ◆ spotlight_sparql_date_map

struct spotlight_sparql_map spotlight_sparql_date_map[]
| extern

## ◆ spotlight_sparql_map

struct spotlight_sparql_map spotlight_sparql_map[]
| extern